<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:Event/etc/events.xsd">
    <event name="cms_block_save_before">
        <observer name="fb_refilo_observer_block_prepare_save" instance="FiloBlu\Refilo\Observer\BlockPrepareSaveObserver" />
    </event>
    <event name="cms_page_save_before">
        <observer name="fb_refilo_observer_page_prepare_save" instance="FiloBlu\Refilo\Observer\PagePrepareSaveObserver" />
    </event>
    <event name="catalog_category_save_before">
        <observer name="filoblu_refilo_observer_category_save_before" instance="FiloBlu\Refilo\Observer\CategorySaveBeforeObserver" />
    </event>
    <event name="catalog_category_save_after">
        <observer name="filoblu_refilo_observer_category_save_after" instance="FiloBlu\Refilo\Observer\CategorySaveAfterObserver" />
        <observer name="filoblu_refilo_observer_category_save_after_emotional_products" instance="FiloBlu\Refilo\Observer\CategorySaveAfterObserverEmotionalProducts" />
        <observer name="filoblu_refilo_observer_category_save_after_emotional_products_storeview_duplicate" instance="FiloBlu\Refilo\Observer\CategorySaveAfterObserverAvoidStoreviewDuplicate" />
    </event>
    <event name="admin_system_config_changed_section_refilo_search">
        <observer name="custom_admin_system_config_changed_section_general" instance="FiloBlu\Refilo\Observer\UpdateRefiloSearchObserver"/>
    </event>
    <event name="checkout_submit_before">
        <observer name="filoblu_refilo_observer_checkout_submit_before" instance="FiloBlu\Refilo\Observer\CheckoutSubmitBeforeObserver"/>
    </event>
    <event name="customer_register_success">
        <observer name="filoblu_refilo_observer_customer_register_success" instance="FiloBlu\Refilo\Observer\CustomerRegisterSuccessObserver"/>
    </event>
    <event name="filoblu_refilo_canonical_url_select_build_before">
        <observer name="filoblu_refilo_add_join_to_canonical_select" instance="FiloBlu\Refilo\Observer\BeforeBuildCanonicalUrlSelectQuery" />
    </event>
    <event name="filoblu_refilo_canonical_url_after_results_fetch">
        <observer name="filoblu_refilo_clean_url_from_store_code" instance="FiloBlu\Refilo\Observer\AfterBuildCanonicalUrlResultsFetch" />
    </event>
    <event name="sales_order_save_after">
        <observer name="filoblu_order_save_after_mapping_order" instance="FiloBlu\Refilo\Observer\OrderSaveAfterMappingObserver"/>
    </event>
    <event name="sales_order_save_before">
        <observer name="filoblu_order_save_before_mapping_order" instance="FiloBlu\Refilo\Observer\OrderSaveBeforeMappingObserver"/>
    </event>
</config>
